package com.parhamdata.aliza.dto;

import org.springframework.stereotype.Component;

import com.google.gson.GsonBuilder;

@Component
public class Message {

    private String role = "user"; // default role
    private String content;

    public Message () {
    }

    public Message (String content, String role) {
        this.role = role;
        this.content = content;
    }

    public Message (String content) {
        this.content = content;
    }

    public String getRole() {
        return this.role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getContent() {
        return this.content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return new GsonBuilder().setPrettyPrinting()
                                .create()
                                .toJson(this);
    }
   
}